import ij.plugin.*;
import ij.gui.*;

import java.util.*;
import java.io.*;
import javax.swing.*;

///3B plugin cclass to bring up a basic help window.
///@ingroup gPlugin
public class CoxGroupHelp implements PlugIn {

	public void run(String arg)
	{
		System.out.println(arg);

		String[] a = arg.split("!");
		
		JFrame w = new JFrame(a[0]);

		JEditorPane l = new JEditorPane();
		try{
			l.setPage(getClass().getResource(a[1]).toString());
		}
		catch(IOException e)
		{}

		JScrollPane s = new JScrollPane(l, JScrollPane.VERTICAL_SCROLLBAR_ALWAYS, JScrollPane.HORIZONTAL_SCROLLBAR_NEVER);

		java.awt.Dimension  d = new java.awt.Dimension(600, 600);

		w.add(s);
		w.pack();
		w.setSize(d);
		w.setVisible(true);
	}
	

	static 
	{
		new CoxGroupCheckForUpdates().run("boot");
	}
};
